Browse Source

toolchain: binutils: Use version 2.34 by default

Switch to binutils version 2.34 for all CPUs by default. The ARC CPUs
do not need any special binutils version any more.

This increases the image size by 0.2% on MIPS (lantiq)

Tested on lantiq, ipq40xx

Acked-by: Rosen Penev <rosenp@gmail.com>
Signed-off-by: Hauke Mehrtens <hauke@hauke-m.de>
master
Hauke Mehrtens 3 years ago
parent
commit
54124e1e1c
  1. 3
      toolchain/binutils/Config.in
  2. 4
      toolchain/binutils/Config.version

3
toolchain/binutils/Config.in

@ -2,8 +2,7 @@
choice
prompt "Binutils Version" if TOOLCHAINOPTS
default BINUTILS_USE_VERSION_2_31_1 if !arc
default BINUTILS_USE_VERSION_2_32 if arc
default BINUTILS_USE_VERSION_2_34
help
Select the version of binutils you wish to use.

4
toolchain/binutils/Config.version

@ -2,15 +2,13 @@ config BINUTILS_VERSION_2_29_1
bool
config BINUTILS_VERSION_2_31_1
default y if (!TOOLCHAINOPTS && !arc)
bool
config BINUTILS_VERSION_2_32
default y if (!TOOLCHAINOPTS && arc)
bool
config BINUTILS_VERSION_2_34
default y if (!TOOLCHAINOPTS && arc)
default y if !TOOLCHAINOPTS
bool
config BINUTILS_VERSION

Loading…
Cancel
Save